%binomial
% Simulation of the generation of random numbers x ~ B(n,p) i.e. a Binomial
% Distribution with n independent binary trials, each with probability of
% success p. x is the number of successes i.e. 0,1,2,3...n
%
% LAST UPDATED by Andy French September 2017

function binomial

%% INPUTS %%

%Number of binomially distributed numbers
N = 1e6;

%Success probability
p = 0.3;

%Number of binary trials
n = 10;

%Fontsize for graphs
fsize = 18;

%Distribution name
name = 'binomial';

%Graph title string
title_str = ['Normalized histogram of ',num2str(N),...
    ' samples of x ~ B(',num2str(n),',',num2str(p),')'];

%

%Determine binomial probabilities P
P = zeros(1,n+1);
for k=0:n
    P(k+1) = nchoosek(n,k)*(p^k)*(1-p)^(n-k);
end

%Generate random numbers and plot graph
generate_numbers_and_histogram(N,P,title_str,name,fsize);

%End of code