%randomdist
% Simulation of the generation of random integers 0,1,2..... from
% a random discrete probability distribution.
%
% LAST UPDATED by Andy French September 2017

function randomdist

%% INPUTS %%

%Number of Geometric distributed numbers
N = 1e6;

%Max random integer number
xmax = 20;

%Fontsize for graphs
fsize = 18;

%Distribution name
name = 'random';

%Graph title string
title_str = ['Normalized histogram of ',num2str(N),...
    ' random distribution samples'];

%

%Determine random distribution probabilities
P = rand(1,xmax+1);
P = P/sum(P);

%Generate random numbers and plot graph
generate_numbers_and_histogram(N,P,title_str,name,fsize);

%End of code